Subject: bug#19481: package.el: support .tar archives featuring a pax_global_header entry

From: Stefan Monnier <[email-masked]>
Date: Mon, 20 Jan 2020 13:35:29 -0500

> It doesn't look like these changes were applied -- are they still of
> interest, or is the pax_global_header entry not supported any more?

Yes, they are definitely still relevant and should be applied.  I think
they've not been applied simply because we were waiting for the tests.

BTW, I do have some minor comment about the suggested patch: while
I think the `filter` argument makes sense as a new feature for
`tar-untar-buffer`, I'm not completely sure that exposing pax's internal
details to this filter is a good idea.  Part of the reason I'm not sure
is because I'm not sufficiently familiar with the content of these "type
55" entries.  But if it's used for extra metadata (or something like
that), then it should be ignored by default rather than only if you pass
an appropriate filter function.

        Stefan